%define _bindir /bin

Summary:	The GNU versions of grep pattern matching utilities
Summary(de):	Die GNU Version des grep Suchwerkzeugs
Name:		grep
Version:	2.28
Release:	%mkrel 1
License:	GPLv3
Group:		Text tools
URL:		http://www.gnu.org/software/grep/grep.html
Source0:	ftp://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	pcre-devel
BuildRequires:	bison
BuildRequires:	texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%description -l de
Die GNU Version des allgemein üblichen grep Werkzeugs. Grep sucht in einer oder
mehreren Eingabedateien nach Zeilen, die eine Übereinstimmung mit einem spezifischen
Suchmuster aufweisen, diese Zeilen werden ausgegeben. GNU's grep Werkzeug enthält
grep, egrep und fgrep.

Sie sollten grep auf in Ihr System installieren, da es ein sehr nützliches Werkzeug
für das Suchen in Textdateien ist, für Systemverwaltungsaufgaben, etc.

%package doc
Summary:	Grep documentation in info format
Summary(de):	Grep Dokumentation im info-Format
Group:		Documentation
Requires(post):	info-install
Requires(preun):	info-install

%description doc
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%description doc -l de
Die GNU Version des allgemein üblichen grep Werkzeugs. Grep sucht in einer oder
mehreren Eingabedateien nach Zeilen, die eine Übereinstimmung mit einem spezifischen
Suchmuster aufweisen, diese Zeilen werden ausgegeben. GNU's grep Werkzeug enthält
grep, egrep und fgrep.

Sie sollten grep auf in Ihr System installieren, da es ein sehr nützliches Werkzeug
für das Suchen in Textdateien ist, für Systemverwaltungsaufgaben, etc.

Installieren Sie dieses Paket wenn Sie die info-Dokumentation von grep haben wollen.

%prep

%setup -q

%build
%configure2_5x \
    --without-included-regex \
    --enable-perl-regexp \
    --exec-prefix=/

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post doc
%_install_info %{name}.info

%preun doc
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*

%files doc
%defattr(-,root,root)
%doc AUTHORS THANKS TODO NEWS README ChangeLog
%{_infodir}/*.info*


%changelog
* Mon Nov 26 2018 adrianomorselli <adrianomorselli> 2.28-1uplos2018
- update
